Name:		scrypt
Version:	1.3.1
Release:	1%{?dist}
Summary:	A simple password-based encryption utility

Group:		System Environment/Base
License:	BSD
URL:		https://www.tarsnap.com/scrypt.html
Source0:	https://www.tarsnap.com/scrypt/scrypt-%{version}.tgz
#Source1:	https://www.tarsnap.com/scrypt/scrypt-sigs-%{version}.asc

BuildRequires:	gcc
BuildRequires:	openssl-devel


%description
A simple password-based encryption utility is available as a demonstration of
the scrypt key derivation function. On modern hardware and with default
parameters, the cost of cracking the password on a file encrypted by scrypt enc
is approximately 100 billion times more than the cost of cracking the same
password on a file encrypted by openssl enc; this means that a five-character
password using scrypt is stronger than a ten-character password using openssl.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%doc
/usr/bin/scrypt
/usr/share/man/man1/scrypt.1.gz

%changelog
* Fri Nov 04 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-scrypt.git

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 086bb5b
- version 1.3.1-1

* Mon Aug 08 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 86f99b1
- Makefile: make version determination more robust

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7f4fab5
- Switch to .spec.in

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bcf75fa
- Update spec and Makefile

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 15cfd82
- Add Qubes Builder v2 integration

* Sun Aug 07 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 36089d5
- Refactor Makefile and add default FETCH_CMD

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e36ffbc
- Drop Travis CI

* Fri May 14 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 2565b48
- Switch from wget to curl

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 92f8310
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4da692e
- Update travis

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 813226d
- version 1.2.1-3

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6f1209
- travis: switch to fc31 dom0

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1cd6c92
- travis: switch to bionic

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5183a1d
- travis: switch to xenial, update distributions

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 888e7e6
- Fix make get-sources target

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef2c0ef
- version 1.2.1-2

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 501b8ad
- travis: update fedora versions

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d75d6b6
- rpm: add BR: gcc

* Sat May 26 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 09e8801
- Add NO_ARCHIVE :=1 and remove definition of buildir and sourcedir

* Wed Feb 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73827e1
- Remove unused patches

* Tue Feb 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6e0fb5
- travis: test VM package build

* Tue Feb 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b115d98
- Enable building also VM package

* Thu Feb 16 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 77d897e
- keyring-file: Match yearly key filenames

* Mon Feb 13 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 4000892
- Update to scrypt 1.2.1

* Mon Feb 13 2017 Jean-Philippe Ouellet <jpo@vt.edu> - b44b306
- Add tarsnap 2017 key

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 986867c
- travis: drop debootstrap workaround

* Sun Dec 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e2e487d
- travis: comment out debootstrap fixup

* Sun Dec 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9662d68
- version 1.2.0-1

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c0132b
- Add missing BR: openssl-devel

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a9606f
- Fix signature verification

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 586e325
- travis integration

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 71dfce0
- Apply patch (and it dependents) to add -P option

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2e2bae5
- Backport stdin passphrase handling

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9e92656
- qubes-builder integration

* Thu Oct 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0bcd5d8
- Initial packaging

